### A free/open-source library for quantitative finance

Functions
ql/cashflows/cashflowvectors.hpp File Reference

Cash flow vector builders. More...

`#include <ql/cashflows/fixedratecoupon.hpp>`
`#include <ql/cashflows/replication.hpp>`
`#include <ql/time/schedule.hpp>`
`#include <ql/utilities/null.hpp>`
`#include <ql/utilities/vectors.hpp>`
`#include <ql/position.hpp>`
`#include <ql/indexes/swapindex.hpp>`
Include dependency graph for cashflowvectors.hpp:

## Functions

Rate | effectiveFixedRate (const std::vector< Spread > &spreads, const std::vector< Rate > &caps, const std::vector< Rate > &floors, Size i)
bool | noOption (const std::vector< Rate > &caps, const std::vector< Rate > &floors, Size i)
template<typename InterestRateIndexType , typename FloatingCouponType , typename CappedFlooredCouponType >

Leg

FloatingLeg (const Schedule &schedule, const std::vector< Real > &nominals, const boost::shared_ptr< InterestRateIndexType > &index, const DayCounter &paymentDayCounter, BusinessDayConvention paymentAdj, const std::vector< Natural > &fixingDays, const std::vector< Real > &gearings, const std::vector< Spread > &spreads, const std::vector< Rate > &caps, const std::vector< Rate > &floors, bool isInArrears, bool isZero)

template<typename InterestRateIndexType , typename FloatingCouponType , typename DigitalCouponType >

Leg

FloatingDigitalLeg (const Schedule &schedule, const std::vector< Real > &nominals, const boost::shared_ptr< InterestRateIndexType > &index, const DayCounter &paymentDayCounter, BusinessDayConvention paymentAdj, const std::vector< Natural > &fixingDays, const std::vector< Real > &gearings, const std::vector< Spread > &spreads, bool isInArrears, const std::vector< Rate > &callStrikes, Position::Type callPosition, bool isCallATMIncluded, const std::vector< Rate > &callDigitalPayoffs, const std::vector< Rate > &putStrikes, Position::Type putPosition, bool isPutATMIncluded, const std::vector< Rate > &putDigitalPayoffs, const boost::shared_ptr< DigitalReplication > &replication)

## Detailed Description

Cash flow vector builders.